### Method

# FwupdPlugin Device get_alternate

since: 0.7.2

#### Declaration [src]

    FuDevice*
    fu_device_get_alternate (
      FuDevice* self
    )

#### Description [src]

Gets any alternate device. An alternate device may be linked to the primary device in some way.

The alternate object will be matched from the ID set in `fu_device_set_alternate_id()` and will be assigned by the daemon. This means if the ID is not found as an added device, then this function will return `NULL`.

Available since: 0.7.2

#### Return value

Type: `FuDevice`

A device or `NULL`.

The data is owned by the instance.